import { Transition, defineComponent } from 'vue';
import LayoutSilder from './layoutSilder';
import LayoutTop from './layoutTop';
import styles from './index.module.less';
import { NScrollbar } from 'naive-ui';
import { RouterView } from 'vue-router';
export default defineComponent({
  name: 'layoutView',
  setup() {
    return () => (
      <>
        <div>
          <div class={styles.wrap}>
            <div>
              <LayoutSilder></LayoutSilder>
            </div>
            <div class={styles.Wrapcore}>
              <LayoutTop></LayoutTop>
              <div class={styles.WrapcoreView}>
                <router-view>
                  {(obj: any) => (
                    <Transition name="fade-slide">
                      <obj.Component />
                    </Transition>
                  )}
                </router-view>
              </div>
            </div>
          </div>
        </div>
      </>
    );
  }
});
